%define majver %(echo %version | cut -d. -f1-2)

Name:          breeze
Version:       5.5.2
Release:       2mamba
Summary:       Breeze Dark Desktop Design Language by the KDE VDG
Group:         Graphical Desktop/Look 'n' feel
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/plasma/%{version}/breeze-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkcmutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdecoration-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      breeze-icons
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Breeze Dark Desktop Design Language by the KDE VDG.

%package kde4
Summary:       Breeze Dark Desktop theme for KDE4
Group:         Graphical Desktop/Look 'n' feel
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description kde4
Breeze Dark Desktop Design Language by the KDE VDG for KDE4.

%debug_package

%prep
%setup -q
#-D -T

%build
%cmake_kde5 -d build
%make

cd ..

%cmake_kde4 -d build-kde4 \
   -DUSE_KDE4=ON

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build
%makeinstall -C build-kde4

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_bindir}/breeze-settings5
%{_libdir}/kconf_update_bin/kde4breeze
%{_libdir}/qt5/plugins/kstyle_breeze_config.so
%{_libdir}/qt5/plugins/org.kde.kdecoration2/breezedecoration.so
%{_libdir}/qt5/plugins/styles/breeze.so
%dir %{_libdir}/qt5/qml/QtQuick/Controls/Styles/Breeze
%{_libdir}/qt5/qml/QtQuick/Controls/Styles/Breeze/*
%{_datadir}/QtCurve/Breeze.qtcurve
%{_datadir}/color-schemes/Breeze.colors
%{_datadir}/color-schemes/BreezeDark.colors
%{_datadir}/color-schemes/BreezeHighContrast.colors
%dir %{_datadir}/icons/Breeze_Snow
%dir %{_datadir}/icons/Breeze_Snow/cursors
%{_datadir}/icons/Breeze_Snow/cursors/*
%{_datadir}/icons/Breeze_Snow/index.theme
%dir %{_datadir}/icons/breeze_cursors/cursors
%{_datadir}/icons/breeze_cursors/cursors/*
%{_datadir}/icons/breeze_cursors/index.theme
%{_datadir}/icons/hicolor/scalable/apps/breeze-settings.svgz
%{_datadir}/kconf_update/kde4breeze.upd
%{_datadir}/kservices5/*.desktop
%{_datadir}/kstyle/themes/breeze.themerc
%{_datadir}/plasma/look-and-feel/org.kde.breezedark.desktop/contents/defaults
%{_datadir}/plasma/look-and-feel/org.kde.breezedark.desktop/contents/previews/preview.png
%{_datadir}/plasma/look-and-feel/org.kde.breezedark.desktop/metadata.desktop
%{_datadir}/wallpapers/Next/contents/images/*.png
%{_datadir}/wallpapers/Next/contents/screenshot.png
%{_datadir}/wallpapers/Next/metadata.desktop
%doc AUTHORS COPYING

%files kde4
%defattr(-,root,root)
%{_kde4_libdir}/kde4/kstyle_breeze_config.so
%{_kde4_pluginsdir}/styles/breeze.so
%{_kde4_datadir}/kstyle/themes/breeze.themerc

%changelog
* Fri Dec 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.2-2mamba
- added -kde4 subpackage

* Fri Dec 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.2-1mamba
- package created using the webbuild interface
